<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }


include ("conexion.php");
$fecha1=$_POST['fecha'];
$fecha2=$_POST['fecha2'];

//CALCULO DE FECHAS EN LETRAS
$fe1=explode("-",$fecha1);
if ($fe1[1] == 01)
{$mes="Enero";}
If ($fe1[1] == 02)
{$mes="Febrero";}
if ($fe1[1] == 03)
{$mes="Marzo";}
if ($fe1[1] == 04)
{$mes="Abril";}
If ($fe1[1] == 05)
{$mes="Mayo";}
if ($fe1[1] == 06)
{$mes="Junio";}
if ($fe1[1] == 07)
{$mes="Julio";}
if ($fe1[1] == '08')
{$mes="Agosto";}
if ($fe1[1] == '09')
{$mes="Septiembre";}
if ($fe1[1] == 10)
{$mes="Octubre";}
if ($fe1[1] == 11)
{$mes="Noviembre";}
if ($fe1[1] == 12)
{$mes="Diciembre";}

$fechafinal1= $fe1[2]."-".$mes."-".$fe1[0];

$fe2=explode("-",$fecha2);
if ($fe2[1] == 01)
{$mes="Enero";}
if ($fe2[1] == 02)
{$mes="Febrero";}
if ($fe2[1] == 03)
{$mes="Marzo";}
if ($fe2[1] == 04)
{$mes="Abril";}
if ($fe2[1] == 05)
{$mes="Mayo";}
if ($fe2[1] == 06)
{$mes="Junio";}
if ($fe2[1] == 07)
{$mes="Julio";}
if ($fe2[1] == '08')
{$mes="Agosto";}
if ($fe2[1] == '09')
{$mes="Septiembre";}
if ($fe2[1] == 10)
{$mes="Octubre";}
if ($fe2[1] == 11)
{$mes="Noviembre";}
if ($fe2[1] == 12)
{$mes="Diciembre";}

$fechafinal2= $fe2[2]."-".$mes."-".$fe2[0];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>Untitled Document</title>

<style type="text/css">

<!--

body {

	margin-left: 0px;

	margin-top: 0px;

	margin-right: 0px;

	margin-bottom: 0px;

}

-->

</style>

<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<link href="ticket_estiloimpresionrecibo.css" rel="stylesheet" type="text/css" media="print">

</head>

<body>

  <table width="950" border="0" align="center">

    <tr>

      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">

        <tr>

          <td width="16%"><img src="img/logo_reportes.jpg" width="241" height="64" /></td>

          <td width="71%"><div align="center"><span class="style4">CLINICA DE ODONTOLOG&Iacute;A <br />

            <span>REPORTE  &quot;INVENTARIO DE FARMACIA&quot; PARA RECTORIA</span><br />

            <?php 
			{echo "Del ".$fechafinal1." al ".$fechafinal2;}
			?>

            </span>

          </div></td>

          <td width="13%" valign="bottom"><div align="right" id="noimprimible"><a href="javascript:print()"><img src="img/icon_print.jpg" alt="Imprimir" width="22" height="22" border="0" /></a></div></td>

        </tr>

      </table></td>

    </tr>

    <tr>

      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="0">

          <tr>

            <td align="center" valign="top"><hr width="100%" size="1" noshade="noshade"></td>

          </tr>

          <tr>

            <td>

          <?php
		  
		  $clasificacion=$_POST['clasificacion'];
		  if($clasificacion==0)
		  {$condicion="";}
		  else
		  {$condicion="WHERE idClasificacion='$clasificacion'";}
		  
		  echo "<table border=1 bgcolor='#FFFFFF'  cellpadding='5' class='tabla1'>";
			$consulta="SELECT idClasificacion,clasificacion FROM clasificacion $condicion ORDER BY clasificacion";
			$resultado=mysql_query($consulta,$conex) or die ("no se conulto clasificacion");
			while ($clasi=mysql_fetch_row($resultado))
			{
				$conteo=0;
			
				echo "<tr class='titulo'>";
					echo "<td class='style10' colspan='8'>";
					echo $clasi[1];
					echo "</td>";
				
				echo "</tr>";
				
				echo "<tr bgcolor='#999999' class='titulo'>";
		
				echo "<td class='style4'  align='center'>";
				echo "ID";
				echo "</td>";

				echo "<td class='style4'>";
				echo "PRODUCTO";
				echo "</td>";
				
				/*
				$query13="SELECT DISTINCT fecha FROM almacenes_resp WHERE fecha <> '0000-00-00'";
				$result13=mysql_query($query13,$conex) or die ("No se realiz� query13");
				$fechaante=mysql_result($result13,0,'fecha');
				$fe3=explode("-",$fechaante);
				$fechaante2= $fe3[2]."-".$fe3[1]."-".$fe3[0];
				echo "<td class='style4'  align='center'>";
				echo "EXISTENCIA AL<BR>".$fechaante2;
				echo "</td>";
				*/
				
				echo "<td class='style4'  align='center'>";
				echo "COMPRAS";
				echo "</td>";
				
				echo "<td class='style4'>";
				echo "PRESENT.";
				echo "</td>";
				
				/*
				echo "<td class='style4'  align='center'>";
				echo "ALUMNOS";
				echo "</td>";
				
				echo "<td class='style4'  align='center'>";
				echo "DOCENTES";
				echo "</td>";
				
				echo "<td class='style4'  align='center'>";
				echo "BAJAS";
				echo "</td>";
				
				echo "<td class='style4'  align='center'>";
				echo "DEVOLUCION";
				echo "</td>";
				*/
				
				echo "<td class='style4'  align='center'>";
				echo "CONSUMO";
				echo "</td>";
				
				echo "<td class='style4'>";
				echo "PRESENT.";
				echo "</td>";
				
				echo "<td class='style4'  align='center'>";
				echo "EXISTENCIA<BR>TOTAL";
				echo "</td>";
				
				echo "<td class='style4'>";
				echo "PRESENT.";
				echo "</td>";

				echo "</tr>";

				//PRODUCTOS GENERALES
				$total2=0;
				$query6="SELECT clave,nombre,idPresentacion,clasificacion,idPresentacion2 FROM productos WHERE idClasificacion='$clasi[0]' ORDER BY nombre";
				$result6=mysql_query($query6,$conex) or die ("No se realiz� query principal");
				while($fila = mysql_fetch_array($result6))
				{
					if ($conteo==0)
					{echo "<tr>";}
					else
					{echo "<tr bgcolor='#F0F0F0'>";}
					
					//ID													
					echo "<td class='style1'>";
					echo $fila[0];
					echo "</td>";
					
					echo "<td class='style1'>";
					echo "<B>".$fila[1]."</B>";
					echo "</td>";
					
					//EXISTENCIA ANTERIOR
					/*
					if ($fila[3]=='Incontables')
					{$query12="SELECT existencia FROM incontables_resp WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					else
					{$query12="SELECT existencia FROM almacenes_resp WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					$result12=mysql_query($query12,$conex) or die ("No se consultaron la existencia2");
					@$existencia2=mysql_result($result12,0,'existencia');
						
					echo "<td class='style10' align='right'>";
					echo $existencia2;
					echo "</td>";
					*/
					
					//COMPRAS
					$cantidadcomprados=0;					
					$query8="SELECT idCompra FROM compras WHERE fechaCompra between '$fecha1' and '$fecha2' ";
					$result8=mysql_query($query8,$conex) or die ("No se realiz� query compras1");
					while ($comp=mysql_fetch_row($result8))
					{					
						$query9="SELECT cantidad FROM contenido_compra WHERE idCompra='$comp[0]' and idProducto='$fila[0]'";
						$result9=mysql_query($query9,$conex) or die ("No se realiz� query compras2");
						$hay=mysql_num_rows($result9);
						if ($hay != 0)
						{
							$cantcomp=mysql_result($result9,0,'cantidad');
							$cantidadcomprados = $cantidadcomprados + $cantcomp;
						}
						else
						{						
							$cantidadcomprados = $cantidadcomprados;
						}
					}
					
					echo "<td class='style10' align='right'>";
					echo $cantidadcomprados;
					echo "</td>";					
					if($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
					{
						if ($fila[4]==0)
						{$presentacion2="No asignada";}
						else
						{
							$query7="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[4]'";
							$result7=mysql_query($query7,$conex) or die ("No se realiz� query presentaciones");
							$presentacion2=mysql_result($result7,0,'presentacion');
						}
					}
					else
					{	
						$query7="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[2]'";
						$result7=mysql_query($query7,$conex) or die ("No se realiz� query presentaciones");
						$presentacion2=mysql_result($result7,0,'presentacion');
					}
					echo "<td class='style1'>";
					echo $presentacion2;
					echo "</td>";
					
					//ALUMNOS					
					$query="SELECT SUM(entregado) as total FROM entregas_material WHERE clave='$fila[0]' and fecha between '$fecha1' and '$fecha2' ";
					$result=mysql_query($query,$conex) or die ("No se realiz� query entregados");
					$entregado=mysql_result($result,0,'total');
					
					/*
					echo "<td class='style10' align='right'>";
					echo $entregado;
					echo "</td>";
					*/
						
					//DOCENTES
					$cant_total=0;
					$query3="SELECT idDotacion FROM dotacion_catedraticos WHERE fechaEntrega between '$fecha1' and '$fecha2'";
					$result3=mysql_query($query3,$conex) or die ("No se realiz� query 2");
					while ($filax = mysql_fetch_array($result3))
					{
						$query5="SELECT SUM(cantidad) as resultado FROM contenido_dotacion_catedratico WHERE idDotacion='$filax[0]' and clave='$fila[0]'";
						$result5=mysql_query($query5,$conex) or die ("No se realiz� query 5");
						while ($filax2 = mysql_fetch_array($result5))
						{
							$cant_total=$cant_total+$filax2[0];
						}
					}
					
					if ($cant_total ==0)
					{$docentes=0;}
					else
					{$docentes=$cant_total;}
					
					/*
					echo "<td class='style10' align='right'>";
					echo $docentes;
					echo "</td>";
					*/
					//ACTIVIDADES
					$canti_total=0;
					$query8="SELECT idDotacion FROM dotacion_actividad WHERE fechaEntrega between '$fecha1' and '$fecha2'";
					$result8=mysql_query($query8,$conex) or die ("No se realiz� query 8");
					while ($filaa = mysql_fetch_array($result8))
					{
						$query9="SELECT SUM(cantidad) as resultado FROM contenido_dotacion_actividad WHERE idDotacion='$filaa[0]' and clave='$fila[0]'";
						$result9=mysql_query($query9,$conex) or die ("No se realiz� query 9");
						while ($filaa2 = mysql_fetch_array($result9))
						{
							$canti_total=$canti_total+$filaa2[0];
						}
					}
					
					if ($canti_total ==0)
					{$acti=0;}
					else
					{$acti=$canti_total;}
					
					/*
					echo "<td class='style10' align='right'>";
					echo $acti;
					echo "</td>";
					*/
					
					//BAJAS
					$query4="SELECT SUM(unidades) as resultado FROM bajaproductos WHERE clave='$fila[0]' and fecha between '$fecha1' and '$fecha2'";
					$result4=mysql_query($query4,$conex) or die ("No se realiz� query 4");
					$bajas=mysql_result($result4,0,'resultado');
						
					/*
					echo "<td class='style10' align='right'>";
					echo $bajas;
					echo "</td>";
					*/
						
					//DEVOLUCION
					$query2="SELECT SUM(cantidad) as resulta FROM devolucionesmaterial WHERE clave='$fila[0]' and fecha between '$fecha1' and '$fecha2'";
					$result2=mysql_query($query2,$conex) or die ("No se realiz� query 2");
					$devueltos=mysql_result($result2,0,'resulta');
						
					/*echo "<td class='style10' align='right'>";
					echo $devueltos;
					echo "</td>";
					*/
	
					//SALIDA TOTAL
					$total1=$entregado + $bajas + $docentes + $acti;
					$total=$total1-$devueltos;
					echo "<td class='style10' align='right'>";
					echo $total;
					echo "</td>";
					
					//PRESENTACION
					$query7="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[2]'";
					$result7=mysql_query($query7,$conex) or die ("No se realiz� query presentaciones");
					$presentacion=mysql_result($result7,0,'presentacion');
										
					echo "<td class='style1'>";
					echo $presentacion;
					echo "</td>";
					
					//EXISTENCIA TOTAL
					if ($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
					{$query10="SELECT existencia FROM incontables WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					else
					{$query10="SELECT existencia FROM almacenes WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					$result10=mysql_query($query10,$conex) or die ("No se consultaron la existencia");
					@$existencia=mysql_result($result10,0,'existencia');
						
					echo "<td class='style10' align='right'>";
					echo $existencia;
					echo "</td>";
					
					if($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
					{
						if ($fila[4]==0)
						{$presentacion2="No asignada";}
						else
						{
							$query7="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[4]'";
							$result7=mysql_query($query7,$conex) or die ("No se realiz� query presentaciones");
							$presentacion2=mysql_result($result7,0,'presentacion');
						}
					}
					else
					{	
						$query7="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[2]'";
						$result7=mysql_query($query7,$conex) or die ("No se realiz� query presentaciones");
						$presentacion2=mysql_result($result7,0,'presentacion');
					}
					echo "<td class='style1'>";
					echo $presentacion2;
					echo "</td>";
					
					//INSERCION EN TABLA DE EXISTENCIA ANTERIOR
					/*
					$hoy=date("Y-m-d");
					if ($fila[3]=='Incontables')
					{$query11="UPDATE incontables_resp SET existencia='$existencia',fecha='$hoy' WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					else
					{$query11="UPDATE almacenes_resp SET existencia='$existencia',fecha='$hoy' WHERE idClinica ='$clini' and idProducto='$fila[0]'";}
					$result11=mysql_query($query11,$conex) or die ("No se inserto nueva existencia");
					*/
				echo "</tr>";

				$conteo=$conteo + 1;
				if ($conteo==2)
				{$conteo=0;}
				
				}//WHILE PRINCIPAL
				
			}
			echo "</table>";	
		?>
            </td>

          </tr>

      </table></td>

    </tr>

  </table>

</body>

</html>



